# DATE-ARRAY-SORTING

Date array sorting is a Node library for dealing with all type of date, timestamp and array sorting.

## Installation

Use the package manager [npm](https://www.npmjs.com/package/htmlpdfconversion) to install htmlpdfconversion.

```bash
npm install date-array-sorting
```
##Sample Request
 
 # For getting the Sorted value of date with minimum and maximum value of date
   req: Request for getting the json of shuffled date
   res: Response getting the sorted value of date as well as timestamp 
  sample Json: {
	"date" : ["03-01-2019","03-10-2019","03-04-2019","03-02-2019","03-09-2019"]
     }
 
 #For getting the Sorted value of timestamp with minimum and maximum value of timestamp
    req: Request for getting the json of shuffled timestamp
    res: Response getting the sorted value of timestamp as well as timestamp 
    sample Json : {
   "timestamp" : ["2019-03-02T17:50:36.024Z","2019-03-03T19:50:36.024Z","2019-03-04T17:50:36.024Z","2019-03-01T17:50:36.024Z"]
    }
 
 # Function for getting the filtered value from an array 
   Req: array, Key in which the filter is applied, Value For checking the condition
   Response: Filtered Array JSON 
  {
    "arr": [
        {
            "code_id": "1",
            "code_name": "code 1"
        },
        {
            "code_id": "2",
            "code_name": "code889"
        }
    ],
    "key": "code_id",
    "value": "2"
}
 

## Usage

```npm
var htmlpdfconversion = require('htmlpdfconversion');


>htmlpdfconversion.convertPdfWithAuthorNameInHeader(request) # returns 'PDF in a Folder With Author Name in Header'

>htmlpdfconversion.convertPdf(request) # returns 'PDF in a Folder with PDF content'

Sample Function Calling
htmlpdfconversion.convertPdfWithAuthorNameInHeader(request, function(err,res){
    if (err) return console.log(err);
})
```

##NOTE
Verify JSON For multiple Line Html content. Please verify the Valid JSON.

## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License
[MIT]